[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x
- y
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - i -

- ICCProfile : ImageExportInfo , ImageImportInfo , VolumeExportInfo
- image() : SplineImageView
- ImageArray() : ImageArray
- ImageExportInfo() : ImageExportInfo
- ImageImportInfo() : ImageImportInfo
- ImageIterator() : ImageIterator
- ImageIteratorBase() : ImageIteratorBase
- ImagePyramid() : ImagePyramid
- imageSize() : ImageArray
- impurity() : EntropyCriterion , GiniCriterion
- index_reference : NeighborOffsetCirculator , NeighborhoodCirculator , RestrictedNeighborhoodCirculator , Diff2D , Point2D , ImageIteratorBase , ConstValueIterator , ColumnIterator , RowIterator
- IndexArrayViewType : Sampler
- IndexType : Sampler
- infront() : NeighborCode3D
- infrontEast() : NeighborCode3D
- infrontNorth() : NeighborCode3D
- infrontNorthEast() : NeighborCode3D
- infrontNorthWest() : NeighborCode3D
- infrontSouth() : NeighborCode3D
- infrontSouthEast() : NeighborCode3D
- infrontSouthWest() : NeighborCode3D
- infrontWest() : NeighborCode3D
- init() : ArrayVectorView , BasicImage , BasicImageView , Matrix , MultiArrayView , MultiArray , VariableSelectionResult , TinyVectorBase
- initAveraging() : Kernel1D
- initBinomial() : Kernel1D
- initBurtFilter() : Kernel1D
- initDiscreteGaussian() : Kernel1D
- initDisk() : Kernel2D
- initExplicitly() : Kernel1D , Kernel2D
- initGaussian() : Kernel1D , Kernel2D
- initGaussianDerivative() : Kernel1D
- initOptimalFirstDerivative5() : Kernel1D
- initOptimalFirstDerivativeSmoothing3() : Kernel1D
- initOptimalFirstDerivativeSmoothing5() : Kernel1D
- initOptimalSecondDerivative5() : Kernel1D
- initOptimalSecondDerivativeSmoothing3() : Kernel1D
- initOptimalSecondDerivativeSmoothing5() : Kernel1D
- initOptimalSmoothing3() : Kernel1D
- initOptimalSmoothing5() : Kernel1D
- initSecondDifference3() : Kernel1D
- initSeparable() : Kernel2D
- initSymmetricDifference() : Kernel1D
- initSymmetricGradient() : Kernel1D
- insert() : ImageArray
- insertSingletonDimension() : MultiArrayView
- InternalImage : SplineImageView
- intersects() : Box , Rect2D
- is_inf() : Rational
- is_ninf() : Rational
- is_pinf() : Rational
- isByte() : ImageImportInfo
- isColor() : ImageImportInfo
- isCopyCompatible() : NumpyArray
- isDiagonal() : NeighborCode , NeighborOffsetCirculator , NeighborhoodCirculator , NeighborCode3D , RestrictedNeighborhoodCirculator
- isEmpty() : Box , Rect2D
- isGrayscale() : ImageImportInfo
- isInside() : BasicImage , ArrayVectorView , MultiArrayView , SplineImageView , BasicImageView
- isInsideX() : SplineImageView
- isInsideY() : SplineImageView
- isLeafNode() : DecisionTree
- isReferenceCompatible() : NumpyArray
- isStrictlyCompatible() : NumpyArray
- isSymmetric() : Matrix
- isValid() : SplineImageView
- iterate() : HClustering
- iterator : TinyVectorView
- Iterator : BasicImage
- iterator : RGBValue , Polynomial
- Iterator : BasicImageView
- iterator : TinyVector , FFTWComplex , StridedMultiIterator , MultiArrayNavigator , ArrayOfRegionStatistics , MultiArray , TinyVectorBase , StaticPolynomial , MultiIterator , Kernel1D , BasicImage
- Iterator : Kernel2D , Kernel1D
- iterator : BasicImageView , PolynomialView , NumpyArray
- iterator_category : CrackContourCirculator , NeighborOffsetCirculator , ImageIteratorBase , ConstValueIterator , LineIterator , MultiIterator , Diff2D , NeighborhoodCirculator , StridedMultiIterator , ColumnIterator , RowIterator , RestrictedNeighborhoodCirculator
- IteratorAdaptor() : IteratorAdaptor
- iteratorForDimension() : MultiIterator , StridedMultiIterator

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)